skip to navigation
skip to content

Not Logged In

verify_version_spec 0.0.2

Verify that a version specification matches a version string.

# verify_version_spec

Verify that a version specification matches a version string.

This is mainly used to check that a version returned from a command line program is within a version specification like: “>=0.9,<0.10”. It uses the [semantic_version](https://pypi.python.org/pypi/semantic_version/2.3.0) library which implements the [SemVer scheme](http://semver.org/).

## Usage

To verify that the target version “1.2.3” is within the specification “>=1.2”.

$ verify_version_spec --spec=">=1.2" 1.2.3
 
File Type Py Version Uploaded on Size
verify_version_spec-0.0.2.tar.gz (md5) Source 2014-11-24 4KB
  • Downloads (All Versions):
  • 6 downloads in the last day
  • 43 downloads in the last week
  • 149 downloads in the last month